<?php

return array(
	'ctrl' => array (
		'title'     => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer',		
		'label'     => 'name',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY name ASC',	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'fe_group' => 'fe_group',
		),
		'dividers2tabs' => true, 
		'mainpalette' => '1',
		'canNotCollapse'=>	'1',
		'thumbnail' => 'image',
		'iconfile'          => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('td_calendar').'res/images/icon_tx_tdcalendar_organizer.gif',
	),
	'interface' => array (
		'showRecordFieldList' => 'hidden,fe_group,title,comment'
	),
	'feInterface' => $TCA['tx_tdcalendar_organizer']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => Array (
			'exclude' => 1,
			//'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.fe_group',
			'config' => array(
				'type' => 'select',
				//'renderType' => 'selectMultipleSideBySide',
				'size' => 5,
				'maxitems' => 20,
				'items' => Array (
					Array('LLL:EXT:lang/locallang_general.php:LGL.hide_at_login', -1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.any_login', -2),
					Array('LLL:EXT:lang/locallang_general.php:LGL.usergroups', '--div--')
				),
				'exclusiveKeys' => '-1,-2',
				'foreign_table' => 'fe_groups'
			)
		),
		'name' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.name',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',	
				'eval' => 'required',
			)
		),
		'description' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.description',		
			'config' => array(
							'type' => 'text',
							'cols' => 40,
							'rows' => 6
						),
						'defaultExtras' => 'richtext[]:rte_transform[mode=ts]'

		),
		'street' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.street',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',
			)
		),
		'zip' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.zip',		
			'config' => array (
				'type' => 'input',	
				'size' => '10',	
				'max' => '6',
			)
		),
		'city' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.city',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',
			)
		),
		'phone' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.phone',		
			'config' => array (
				'type' => 'input',	
				'size' => '30',
			)
		),
		'email' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.email',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '64',
			)
		),
		'image' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.images',
			'config' => Array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],
				'uploadfolder' => 'uploads/pics',
				'show_thumbs' => '1',
				'size' => 3,
				'autoSizeMax' => 15,
				'maxitems' => '99',
				'minitems' => '0'
			)
		),
		'imagecaption' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.caption',
			'config' => Array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '3'
			)
		),
		'imagealttext' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.imagealttext',
			'config' => Array (
				'type' => 'text',
				'cols' => '20',
				'rows' => '3'
			)
		),
		'imagetitletext' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.imagetitletext',
			'config' => Array (
				'type' => 'text',
				'cols' => '20',
				'rows' => '3'
			)
		),
		'link' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_organizer.link',		
			'config' => array (
				'type'     => 'input',
				'size'     => '15',
				'max'      => '255',
				'checkbox' => '',
				'eval'     => 'trim',
				'wizards'  => array(
					'_PADDING' => 2,
					'link'     => array(
						'type'         => 'popup',
						'title'        => 'Link',
						'icon'         => 'link_popup.gif',
						'module'	   => array(
												'name' => 'wizard_element_browser',
												'urlParameters' => array(
													'mode' => 'wizard'
												)
											),
						'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
					)
				)
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 
		'name,description,street, zip, city, phone, email,
		--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.media,image,imagecaption,;;2,link,
		--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.access,hidden,fe_group ')
	),
	'palettes' => array (
		//'1' => array('showitem' => 'fe_group, hidden'),
		'2' => Array('showitem' => 'imagealttext,imagetitletext')
	)
); 

?>