<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');
// 2016-12-06 Try to reintroduce Mounting Points. 
$includeCatMounts = ''; 
$includeExcMounts = ''; 
$includeExcCatMounts = '';
$includeOrgMounts = ''; 
$includeLocMounts = ''; 
 
$confArr = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['td_calendar']);
if(!$GLOBALS['BE_USER']->user["admin"] AND $confArr['useCategoryMounts'] AND \TYPO3\CMS\Core\Utility\GeneralUtility::_GP('edit')) {
	$cmounts = array();
	if (is_array($GLOBALS['BE_USER']->userGroups)){ 
		foreach ($GLOBALS['BE_USER']->userGroups as $group) {
			if ($group['td_calendar_categorymounts']) {
				$cmounts[] = $group['td_calendar_categorymounts'];
			}
		}
	} 
	
	if ($BE_USER->user['td_calendar_categorymounts']) {
		$cmounts[] = $BE_USER->user['td_calendar_categorymounts'];
	}
	
	$categoryMounts = implode(',', $cmounts);
	$cmounts = array_unique(explode(',', $categoryMounts)); 
	
	if($confArr['categoryMountRecursive'] > 0) {
		foreach($cmounts as $mount) {
			$subCategoriesMount[] = \TYPO3\CMS\Core\Database\QueryGenerator::getTreeList($mount, $confArr['categoryMountRecursive'], 0, 'pages.hidden != 1'); 
		}
		
		$categoryMounts = implode(',', $subCategoriesMount); 
	} 

	$includeCatMounts = 'AND (tx_tdcalendar_categories.pid = ###CURRENT_PID### OR tx_tdcalendar_categories.pid IN ('.$categoryMounts.')) '; 
	$includeExcMounts = 'AND (tx_tdcalendar_exc_events.pid = ###CURRENT_PID### OR tx_tdcalendar_exc_events.pid IN ('.$categoryMounts.')) '; 
	$includeExcCatMounts = 'AND (tx_tdcalendar_exc_categories.pid = ###CURRENT_PID### OR tx_tdcalendar_exc_categories.pid IN ('.$categoryMounts.')) ';
	$includeOrgMounts = 'AND (tx_tdcalendar_organizer.pid = ###CURRENT_PID### OR tx_tdcalendar_organizer.pid IN ('.$categoryMounts.')) '; 
	$includeLocMounts = 'AND (tx_tdcalendar_locations.pid = ###CURRENT_PID### OR tx_tdcalendar_locations.pid IN ('.$categoryMounts.')) '; 	

	$TCA['tx_tdcalendar_events']['columns']['category']['config']['foreign_table_where'] = $includeCatMounts.'ORDER BY tx_tdcalendar_categories.uid';
	$TCA['tx_tdcalendar_events']['columns']['exc_event']['config']['foreign_table_where'] = $includeExcMounts.'ORDER BY tx_tdcalendar_exc_events.uid';
	$TCA['tx_tdcalendar_events']['columns']['exc_category']['config']['foreign_table_where'] = $includeExcCatMounts.'ORDER BY tx_tdcalendar_exc_categories.uid';
	$TCA['tx_tdcalendar_events']['columns']['location_id']['config']['foreign_table_where'] = $includeLocMounts.'ORDER BY tx_tdcalendar_locations.uid';
	$TCA['tx_tdcalendar_events']['columns']['organizer_id']['config']['foreign_table_where'] = $includeLocMounts.'ORDER BY tx_tdcalendar_organizer.uid';
	
	$TCA['tx_tdcalendar_exc_events']['columns']['exc_categories']['config']['foreign_table_where'] = $includeExcCatMounts.'ORDER BY tx_tdcalendar_exc_categories.uid';
	
	
}
?>