<?php

return array (
	'ctrl' => array (
		'title'     => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_categories',		
		'label'     => 'title',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY title ASC',	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'starttime' => 'starttime',	
			'endtime' => 'endtime',	
			'fe_group' => 'fe_group',
		),
		'dividers2tabs' => TRUE, 
		'mainpalette' => '1',
		'canNotCollapse'=>	'1',
		'thumbnail' => 'image',
		'iconfile'          => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('td_calendar').'res/images/icon_tx_tdcalendar_categories.gif',
	),
	'interface' => array (
		'showRecordFieldList' => 'hidden,fe_group,title,comment'
	),
	'feInterface' => $TCA['tx_tdcalendar_categories']['feInterface'],
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'starttime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'default'  => '0',
				'checkbox' => '0'
			)
		),
		'endtime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'checkbox' => '0',
				'default'  => '0',
				'range'    => array (
					'upper' => mktime(3, 14, 7, 1, 19, 2038),
					'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
				)
			)
		),
		'fe_group' => Array (
			'exclude' => 1,
			//'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.fe_group',
			'config' => array(
				'type' => 'select',
				//'renderType' => 'selectMultipleSideBySide',
				'size' => 5,
				'maxitems' => 20,
				'items' => Array (
					Array('LLL:EXT:lang/locallang_general.php:LGL.hide_at_login', -1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.any_login', -2),
					Array('LLL:EXT:lang/locallang_general.php:LGL.usergroups', '--div--')
				),
				'exclusiveKeys' => '-1,-2',
				'foreign_table' => 'fe_groups'
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_categories.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',	
				'eval' => 'required,trim',
			)
		),		
		'color' => array(
		   'exclude' => 0,
		   'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_categories.color',
		   'config' => array(
			  'type' => 'input',
			  'size' => 44,
			  'eval' => 'trim',
			  'wizards' => array(
				 'colorChoice' => array(
					'type' => 'colorbox',
					'title' => 'Color',
					'module' => array(
					   'name' => 'wizard_colorpicker',
					),
					'JSopenParams' => 'height=600,width=380,status=0,menubar=0,scrollbars=1',
					//'exampleImg' => 'EXT:examples/res/images/japanese_garden.jpg',
				 )
			  )
		   )
		),
		'comment' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_categories.comment',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 
		' title, color, comment,
		--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.access,hidden,fe_group,;;1')
	),
	'palettes' => Array (
		'1' => Array('showitem' => 'starttime,endtime,'),
	)
)
?>