<?php

//$TCA['tx_tdcalendar_events']['ctrl']['type']			=	'event_type';
//$TCA['tx_tdcalendar_events']['ctrl']['mainpalette']		=	'1';
//$TCA['tx_tdcalendar_events']['ctrl']['canNotCollapse']	=	'1';
//$TCA['tx_tdcalendar_events']['ctrl']['requestUpdate']	=	'rec_weekly_type,';
$out = array(
	'ctrl' => array (
		'title'     => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events',		
		'label'     => 'title',	
		'tstamp'    => 'tstamp',
		'crdate'    => 'crdate',
		'cruser_id' => 'cruser_id',
		'versioningWS' => TRUE, 
		'origUid' => 't3_origuid',
		'default_sortby' => 'ORDER BY begin DESC',	
		'delete' => 'deleted',	
		'enablecolumns' => array (		
			'disabled' => 'hidden',	
			'starttime' => 'starttime',	
			'endtime' => 'endtime',	
			'fe_group' => 'fe_group',
		),
		'dividers2tabs' => TRUE, 
		'mainpalette' => '1',
		'canNotCollapse'=>	'1',
		'iconfile'          => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('td_calendar').'res/images/icon_tx_tdcalendar_events.gif',
		'thumbnail' => 'image',
		'type' => 'event_type',
		'mainpalette' => '1',
		'canNotCollapse' => '1',
		'requestUpdate' => 'rec_weekly_type'
	),
	'interface' => array (
		'showRecordFieldList' => 'hidden,category,begin,title,fe_group'
	),
	'feInterface' => Array (
		'fe_admin_fieldList' => 'title',
	),
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => Array (
			'exclude' => 1,
			//'l10n_mode' => 'mergeIfNotBlank',
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.fe_group',
			'config' => array(
				'type' => 'select',
				//'renderType' => 'selectMultipleSideBySide',
				'size' => 5,
				'maxitems' => 20,
				'items' => Array (
					Array('LLL:EXT:lang/locallang_general.php:LGL.hide_at_login', -1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.any_login', -2),
					Array('LLL:EXT:lang/locallang_general.php:LGL.usergroups', '--div--')
				),
				'exclusiveKeys' => '-1,-2',
				'foreign_table' => 'fe_groups'
			)
		),
		'starttime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.starttime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'default'  => '0',
				'checkbox' => '0'
			)
		),
		'endtime' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.endtime',
			'config'  => array (
				'type'     => 'input',
				'size'     => '8',
				'max'      => '20',
				'eval'     => 'date',
				'checkbox' => '0',
				'default'  => '0',
				'range'    => array (
					'upper' => mktime(3, 14, 7, 1, 19, 2038),
					'lower' => mktime(0, 0, 0, date('m')-1, date('d'), date('Y'))
				)
			)
		),
		'category' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.category',		
			'config' => array (
				'type' => 'select',	

				'foreign_table' => 'tx_tdcalendar_categories',	
				'foreign_table_where' =>  'ORDER BY tx_tdcalendar_categories.uid',
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'event_type' => Array (
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.type',		
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.type.regular', 0),
					Array('LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.type.recurring_daily', 1),
					Array('LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.type.recurring_weekly', 2),
					Array('LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.type.recurring_monthly', 3),
					Array('LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.type.recurring_yearly', 4),
				),
			),
		),
		'exc_event' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.exc_event',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'tx_tdcalendar_exc_events',
				'foreign_table_where' => 'ORDER BY tx_tdcalendar_exc_events.uid',
				'size' => 5,
				'minitems' => 0,
				'maxitems' => 128,
			)
		),
		'exc_category' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.exc_category',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'tx_tdcalendar_exc_categories',
				'foreign_table_where' => 'ORDER BY tx_tdcalendar_exc_categories.uid',
				'size' => 5,
				'minitems' => 0,
				'maxitems' => 128,
			)
		),
		'begin' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.begin',		
			'config' => array (
				'type'     => 'input',
				'size'     => '12',
				'max'      => '20',
				'eval'     => 'required,datetime',
				'checkbox' => '0',
				'default'  => '0'
			)
		),
		'end' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.end',		
			'config' => array (
				'type'     => 'input',
				'size'     => '12',
				'max'      => '20',
				'eval'     => 'datetime',
				'checkbox' => '0',
				'default'  => '0'
			)
		),
		'allday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.allday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'rec_end_date' => Array (
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.rec_end_date',
			'config' => Array (
				'type' => 'input',
				'size' => '12',
				'max' => '20',
				'eval' => 'date',
				'checkbox' => '0',
				'default' => '0'
			),
		),
		'rec_time_x' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.rec_time_x',		
			'config' => Array (
				'type' => 'input',	
				'size' => '2',	
				'eval' => 'integer',
				'default' => '0',
			)
		),
		'repeat_days' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_days',		
			'config' => Array (
				'type' => 'input',	
				'size' => '2',	
				'eval' => 'integer',
				'default' => '1',
			)
		),
		'repeat_weeks' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_weeks',		
			'config' => Array (
				'type' => 'input',	
				'size' => '2',	
				'eval' => 'integer',
				'default' => '1',
			)
		),
		'repeat_months' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_months',		
			'config' => Array (
				'type' => 'input',	
				'size' => '2',	
				'eval' => 'integer',
				'default' => '1',
			)
		),
		'repeat_years' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_years',		
			'config' => Array (
				'type' => 'input',	
				'size' => '2',	
				'eval' => 'integer',
				'default' => '1',
			)
		),
		'rec_weekly_type' => Array (
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.rec_weekly_type',		
			'config' => Array (
				'type' => 'select',
				'items' => Array (
					Array('LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.rec_weekly_type.days', 0),
					Array('LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.rec_weekly_type.workdays', 1),
					Array('LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.rec_weekly_type.weekend', 2),
				),
			),
		),
		'repeat_week_monday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_monday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'repeat_week_tuesday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_tuesday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'repeat_week_wednesday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_wednesday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'repeat_week_thursday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_thursday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'repeat_week_friday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_friday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'repeat_week_saturday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_saturday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'repeat_week_sunday' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_events.repeat_week_sunday',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'title' => array (		
			'exclude' => 0,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.title',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',	
				'eval' => 'required,trim',
			)
		),
		'teaser' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.teaser',		
			'config' => array (
				'type' => 'text',
				'wrap' => 'OFF',
				'cols' => '48',	
				'rows' => '3',
			)
		),
		'description' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.description',		
			'config' => array(
							'type' => 'text',
							'cols' => 40,
							'rows' => 6
						),
						'defaultExtras' => 'richtext[]:rte_transform[mode=ts]'

		),
		'location' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.location',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',	
				'eval' => 'trim',
			)
		),
		'location_id' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.location_id',		
			'config' => array (
				'type' => 'select',	
				'items' => array (
					array('',0),
				),
				'foreign_table' => 'tx_tdcalendar_locations',	
				'foreign_table_where' => 'ORDER BY tx_tdcalendar_locations.uid',	
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'organizer' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.organizer',		
			'config' => array (
				'type' => 'input',	
				'size' => '48',	
				'max' => '128',	
			)
		),
		'organizer_id' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.organizer_id',		
			'config' => array (
				'type' => 'select',	
				'items' => array (
					array('',0),
				),
				'foreign_table' => 'tx_tdcalendar_organizer',	
				'foreign_table_where' =>  'ORDER BY tx_tdcalendar_organizer.uid',
				'size' => 1,	
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
		'link' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.link',		
			'config' => array (
				'type'     => 'input',
				'size'     => '15',
				'max'      => '255',
				'checkbox' => '',
				'eval'     => 'trim',
				'wizards'  => array(
					'_PADDING' => 2,
					'link'     => array(
						'type'         => 'popup',
						'title'        => 'Link',
						'icon'         => 'link_popup.gif',
						'module'	   => array(
												'name' => 'wizard_element_browser',
												'urlParameters' => array(
													'mode' => 'wizard'
												)
											),
						'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
					)
				)
			)
		),
		'image' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.images',
			'config' => Array (
				'type' => 'group',
				'internal_type' => 'file',
				'allowed' => $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext'],
				'max_size' => $GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'],
				'uploadfolder' => 'uploads/pics',
				'show_thumbs' => '1',
				'size' => 3,
				'autoSizeMax' => 15,
				'maxitems' => '99',
				'minitems' => '0'
			)
		),
		'imagecaption' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.caption',
			'config' => Array (
				'type' => 'text',
				'cols' => '30',
				'rows' => '3'
			)
		),
		'imagealttext' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.imagealttext',
			'config' => Array (
				'type' => 'text',
				'cols' => '20',
				'rows' => '3'
			)
		),
		'imagetitletext' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.imagetitletext',
			'config' => Array (
				'type' => 'text',
				'cols' => '20',
				'rows' => '3'
			)
		),
		'directlink' => array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_events.directlink',		
			'config' => array (
				'type'     => 'input',
				'size'     => '15',
				'max'      => '255',
				'checkbox' => '',
				'eval'     => 'trim',
				'wizards'  => array(
					'_PADDING' => 2,
					'link'     => array(
						'type'         => 'popup',
						'title'        => 'Link',
						'icon'         => 'link_popup.gif',
						'module'	   => array(
												'name' => 'wizard_element_browser',
												'urlParameters' => array(
													'mode' => 'wizard'
												)
											),
						'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1'
					)
				)
			)
		),
		
	),
	'types' => array (
		//'0' => array('showitem' => 
		//'title,
		//--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.media,image,imagecaption,;;1,
		//--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.access,hidden,fe_group,;;4 ')
		'0' => array('showitem' => 'title, category, event_type,;;2'),
		'1' => array('showitem' => 'title, category, event_type,;;2,repeat_days, rec_time_x,rec_end_date'),
		'2' => array('showitem' => 'title, category, event_type,;;2, rec_weekly_type,;;3, repeat_weeks, rec_time_x, rec_end_date',
					 'subtype_value_field'	=>	'rec_weekly_type',
					 'subtypes_excludelist'	=>	Array(
							'1'	=>	'repeat_week_monday, repeat_week_tuesday, repeat_week_wednesday, repeat_week_thursday, repeat_week_friday, repeat_week_saturday, repeat_week_sunday',
							'2'	=>	'repeat_week_monday, repeat_week_tuesday, repeat_week_wednesday, repeat_week_thursday, repeat_week_friday, repeat_week_saturday, repeat_week_sunday',
						),
				),
		'3' => array('showitem' => 'title, category, event_type,;;2, repeat_months, rec_time_x,rec_end_date'),
		'4' => array('showitem' => 'title, category, event_type,;;2, repeat_years, rec_time_x,rec_end_date')
	),
	'palettes' => array (
		'1' => Array('showitem' => 'starttime, endtime'),
		'2'  => Array('showitem' => 'begin, end, allday'),
		'3'	=>	Array('showitem' => 'repeat_week_monday, repeat_week_tuesday, repeat_week_wednesday, repeat_week_thursday, repeat_week_friday, repeat_week_saturday, repeat_week_sunday'),
		'4' => Array('showitem' => 'imagealttext,imagetitletext'),
	)

); 

foreach(array('0', '1', '2', '3', '4') as $type) {
	$out['types'][$type]['showitem'] .= ', teaser, description, location, location_id, organizer, organizer_id, '; 
	$out['types'][$type]['showitem'] .= $type != '0' ? '--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.exc_events, exc_event, exc_category, ' : '';
	$out['types'][$type]['showitem'] .= '--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.media, image,imagecaption,;;4, link, directlink, 
		--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.access,hidden,fe_group,;;1';
}

return $out; 
?>