<?php

return Array (
	'ctrl' => Array (
		'title' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_exc_categories',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY title ASC',	
		'delete' => 'deleted',	
		'dividers2tabs' => TRUE, 
		'mainpalette' => '1',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('td_calendar').'res/images/icon_tx_tdcalendar_exc_categories.gif',
		'thumbnail' => 'image',
		'enablecolumns' => Array (
			'disabled' => 'hidden',
			'fe_group' => 'fe_group',
		),
	),
	'feInterface' => Array (
		'fe_admin_fieldList' => 'title',
	),
	'columns' => array (
		'hidden' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.hidden',
			'config'  => array (
				'type'    => 'check',
				'default' => '0'
			)
		),
		'fe_group' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.fe_group',
			'config' => array(
				'type' => 'select',
				'size' => 5,
				'maxitems' => 20,
				'items' => Array (
					Array('LLL:EXT:lang/locallang_general.php:LGL.hide_at_login', -1),
					Array('LLL:EXT:lang/locallang_general.php:LGL.any_login', -2),
					Array('LLL:EXT:lang/locallang_general.php:LGL.usergroups', '--div--')
				),
				'exclusiveKeys' => '-1,-2',
				'foreign_table' => 'fe_groups'
			)
		),
		'title' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_categories.title',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
				'eval' => 'required',
			)
		),
		'color' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_categories.color',
			'config' => array(
			  'type' => 'input',
			  'size' => 44,
			  'eval' => 'trim',
			  'wizards' => array(
				 'colorChoice' => array(
					'type' => 'colorbox',
					'title' => 'Color',
					'module' => array(
					   'name' => 'wizard_colorpicker',
					),
					'JSopenParams' => 'height=600,width=380,status=0,menubar=0,scrollbars=1',
				 )
			  )
		   )
		),
		'bgcolor' => Array (		
			'exclude' => 1,	
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_categories.bgcolor',		
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 
		' title, ;;1,
		--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.access,hidden,fe_group,')
	),
	'palettes' => Array (
		'1' => Array('showitem' => 'color, bgcolor'),
	)
);
?>