<?php 
return array(
	'ctrl' => Array (
		'title' => 'LLL:EXT:td_calendar/locallang_db.php:tx_tdcalendar_exc_events',		
		'label' => 'title',	
		'tstamp' => 'tstamp',
		'crdate' => 'crdate',
		'cruser_id' => 'cruser_id',
		'default_sortby' => 'ORDER BY begin DESC',	
		'delete' => 'deleted',	
		'dividers2tabs' => TRUE, 
		'mainpalette' => '1',
		'iconfile' => \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('td_calendar').'res/images/icon_tx_tdcalendar_exc_events.gif',
		'thumbnail' => 'image',
		'enablecolumns' => Array (
			'disabled' => 'hidden',
			'fe_group' => 'fe_group',
		),
	),
	'feInterface' => Array (
		'fe_admin_fieldList' => 'title',
	),
	'columns' => Array (
		'hidden' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:lang/locallang_general.php:LGL.hidden',
			'config' => Array (
				'type' => 'check',
				'default' => '0'
			)
		),
		'fe_group' => array (		
			'exclude' => 1,
			'label'   => 'LLL:EXT:lang/locallang_general.xml:LGL.fe_group',
			'config'  => array (
				'type'  => 'select',
				'items' => array (
					array('', 0),
					array('LLL:EXT:lang/locallang_general.xml:LGL.hide_at_login', -1),
					array('LLL:EXT:lang/locallang_general.xml:LGL.any_login', -2),
					array('LLL:EXT:lang/locallang_general.xml:LGL.usergroups', '--div--')
				),
				'foreign_table' => 'fe_groups'
			)
		),
		'begin' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_events.begin',
			'config' => Array (
				'type' => 'input',
				'size' => '8',
				'max' => '12',
				'eval' => 'required,date',
				'checkbox' => '0',
				'default' => '0'
			)
		),
		'end' => Array (
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:td_tdcalendar_exc_events.end',
			'config' => Array (
				'type' => 'input',
				'size' => '8',
				'max' => '12',
				'eval' => 'date',
				'checkbox' => '0',
				'default' => '0'
			)
		),
		'title' => Array (
			'exclude' => 0,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_events.title',
			'config' => Array (
				'type' => 'input',
				'size' => '30',
				'eval' => 'required',
			)
		),
		'priority' => Array (		
			'exclude' => 1,		
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_events.priority',		
			'config' => Array (
				'type' => 'input',	
				'size' => '2',	
				'eval' => 'integer',
				'default' => '1',
			)
		),
		'exc_categories' => Array(
			'exclude' => 1,
			'label' => 'LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar_exc_events.exc_categories',
			'config' => Array (
				'type' => 'select',
				'foreign_table' => 'tx_tdcalendar_exc_categories',
				'foreign_table_where' => 'ORDER BY tx_tdcalendar_exc_categories.title',
				'size' => 1,
				'minitems' => 0,
				'maxitems' => 1,
			)
		),
	),
	'types' => array (
		'0' => array('showitem' => 
		' title, ;;1, exc_categories,priority, 
		--div--;LLL:EXT:td_calendar/locallang_db.xml:tx_tdcalendar.tabs.access,hidden,fe_group')
	),
	'palettes' => Array (
		'1' => Array('showitem' => 'begin,end,'),
	)

);
?>